#{form @lelang.AdendumCtr.masaBerlakuPenawaranSubmit(id), class:'form-inline' }
    <div class="form-group">
        <label class="sr-only">&{'lelang_doc.masa_berlaku_penawaran'}</label>
        <div class="input-group">
            <div class="input-group-addon">&{'lelang_doc.masa_berlaku_penawaran'}</div>
            <input type="text" class="form-control" id="masaberlaku" name="masaberlaku", value="${masaberlaku}" #{if !editable} disabled #{/if} onkeypress='validate(event)'
            	oninput="check(this)" >
            <div class="input-group-addon">&{'lelang_doc.hari_batas_akhir'}</div>
        </div>
    </div>
    <button type="submit" class="btn btn-primary" #{if !editable} disabled #{/if}>&{'lelang_doc.simpan'}</button>
#{/form}

<script type="text/javascript">
    function validate(evt) {
        var theEvent = evt || window.event;

        // Handle paste
        if (theEvent.type === 'paste') {
            key = event.clipboardData.getData('text/plain');
        } else {
            // Handle key press
            var key = theEvent.keyCode || theEvent.which;
            key = String.fromCharCode(key);
        }
        var regex = /[0-9]|\./;
        if( !regex.test(key) ) {
            theEvent.returnValue = false;
            if(theEvent.preventDefault) theEvent.preventDefault();
        }
    }
    function check(input) {
 	   if (input.value == 0) {
 	     input.setCustomValidity('Masa berlaku penawaran harus diisi lebih dari 0 hari');
 	   } else {
 	     input.setCustomValidity('');
 	   }
 	 }
</script>